commit:     d873b4ea0aa5c09ab6c17bf068fb41e7518416ef
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 25 03:55:14 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 25 04:38:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d873b4ea

dev-python/python-utils: Bump to 3.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-utils/Manifest                  |  1 +
 dev-python/python-utils/python-utils-3.9.0.ebuild | 46 +++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/python-utils/Manifest b/dev-python/python-utils/Manifest
index 02716de34825..bc6f6e8ea8b3 100644
--- a/dev-python/python-utils/Manifest
+++ b/dev-python/python-utils/Manifest
@@ -1 +1,2 @@
 DIST python-utils-3.8.2.tar.gz 30431 BLAKE2B 
3c53c02729f601b30e68a26cd4b61e49c29f036a1327c43124e326dae173d1b528035bb0952c349ec43f3cd6e159c2e0d5e82c8c46efd12c95f445dbb20751c0
 SHA512 
e0de794abe95f3e205fcbde0fd52615f44128ffb702a406ff0d3f7ce2640ff60ac3cc508829245bce750ed191c9d3ae563b8f0619af4c2c43cacde6a1aa0fde4
+DIST python_utils-3.9.0.tar.gz 35352 BLAKE2B 
8d247d28a1ed797d1058f6bf45469230f5fcf3f8d305e195a49229deef5d41552e07b5c2e7543223f2df608feffa6df2f57828863acc437ff9c3c2a11e797703
 SHA512 
fe6313b18f53a56d71a9ca9b40f7bfe61629f7c5cf0b9088adf81ed8aa78b1c5a593c59ec178ec6c87424ae0730c9cb15d6eaa1a129d871f75b67d1d4f6938bf

diff --git a/dev-python/python-utils/python-utils-3.9.0.ebuild 
b/dev-python/python-utils/python-utils-3.9.0.ebuild
new file mode 100644
index 000000000000..aa5d56d259e4
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.9.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+       https://github.com/WoLpH/python-utils/
+       https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       docs
+       _python_utils_tests/test_logger.py
+       python_utils/loguru.py
+)
+
+EPYTEST_DESELECT=(
+       # fragile
+       _python_utils_tests/test_time.py::test_timeout_generator
+)
+
+python_prepare_all() {
+       sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+       distutils-r1_python_prepare_all
+}

Reply via email to